## PkPackageList

PkPackageList — A list of Package data needed for an offline cache

## Synopsis

                        PkPackageListPrivate;
                        PkPackageList;
    PkPackageList *     pk_package_list_new                 (void);
    gboolean            pk_package_list_add                 (PkPackageList *plist,
                                                             PkInfoEnum info,
                                                             const PkPackageId *ident,
                                                             const gchar *summary);
    gboolean            pk_package_list_contains            (const PkPackageList *plist,
                                                             const gchar *package_id);
    gboolean            pk_package_list_remove              (PkPackageList *plist,
                                                             const gchar *package_id);
    gchar **            pk_package_list_to_strv             (const PkPackageList *plist);
    guint               pk_package_list_get_size            (const PkPackageList *plist);
    gboolean            pk_package_list_sort                (PkPackageList *plist);
    gboolean            pk_package_list_sort_info           (PkPackageList *plist);
    gboolean            pk_package_list_sort_summary        (PkPackageList *plist);
    const PkPackageObj * pk_package_list_get_obj            (const PkPackageList *plist,
                                                             guint item);
    gboolean            pk_package_list_set_fuzzy_arch      (PkPackageList *plist,
                                                             gboolean fuzzy_arch);

## Object Hierarchy

      GObject
       +----PkObjList
             +----PkPackageList

## Description

These provide a way to query and store a list of packages.

## Details

### PkPackageListPrivate

    typedef struct _PkPackageListPrivate PkPackageListPrivate;

Private PkPackageList data

### PkPackageList

    typedef struct _PkPackageList PkPackageList;

### pk_package_list_new ()

    PkPackageList *     pk_package_list_new                 (void);

Returns : | a new PkPackageList object.

### pk_package_list_add ()

    gboolean            pk_package_list_add                 (PkPackageList *plist,
                                                             PkInfoEnum info,
                                                             const PkPackageId *ident,
                                                             const gchar *summary);

`plist` : |
`info` : |
`ident` : |
`summary` : |
Returns : |

### pk_package_list_contains ()

    gboolean            pk_package_list_contains            (const PkPackageList *plist,
                                                             const gchar *package_id);

`plist` : |
`package_id` : |
Returns : |

### pk_package_list_remove ()

    gboolean            pk_package_list_remove              (PkPackageList *plist,
                                                             const gchar *package_id);

`plist` : |
`package_id` : |
Returns : |

### pk_package_list_to_strv ()

    gchar **            pk_package_list_to_strv             (const PkPackageList *plist);

`plist` : |
Returns : |

### pk_package_list_get_size ()

    guint               pk_package_list_get_size            (const PkPackageList *plist);

`plist` : |
Returns : |

### pk_package_list_sort ()

    gboolean            pk_package_list_sort                (PkPackageList *plist);

Sorts by package_id

`plist` : |
Returns : |

### pk_package_list_sort_info ()

    gboolean            pk_package_list_sort_info           (PkPackageList *plist);

Sorts by PkInfoEnum

`plist` : |
Returns : |

### pk_package_list_sort_summary ()

    gboolean            pk_package_list_sort_summary        (PkPackageList *plist);

Sorts by summary

`plist` : |
Returns : |

### pk_package_list_get_obj ()

    const PkPackageObj * pk_package_list_get_obj            (const PkPackageList *plist,
                                                             guint item);

`plist` : |
`item` : |
Returns : |

### pk_package_list_set_fuzzy_arch ()

    gboolean            pk_package_list_set_fuzzy_arch      (PkPackageList *plist,
                                                             gboolean fuzzy_arch);

`plist` : |
`fuzzy_arch` : |
Returns : |